Bug 11167 - exo-mount doesn't use iocharset
: exo-mount doesn't use iocharset
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/libexo)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-21 13:13 by
Modified: 2007-10-04 15:03 (History)


Attachments
patch for exo-mount to use the 'iocharset' mount option (2.00 KB, patch)
2007-06-19 18:12, avm
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-21 13:13:06
exo-mount монтирует устройства через HAL, но не заставляет его использовать
iocharset. В результате VFATом пользоваться нельзя.
------- Comment #1 From 2007-03-21 13:35:37 -------
Хм...
Попробую отключить ivman и посмотрю на результат, если подтвердится - буду
править...
------- Comment #2 From 2007-03-22 16:37:36 -------
Вот простейший патч, который меня устраивает (у меня везде UTF-8):
http://tinyurl.com/2c5ud6
------- Comment #3 From 2007-03-22 16:50:15 -------
Прошу прощения, на самом деле так:
http://tinyurl.com/2axbb2
------- Comment #4 From 2007-05-31 14:14:23 -------
Этот грязный хак не работает у тех, кто пришет диски в UTF8... Нужно писать
патч, имеющий ручку для выключения такого поведения...
------- Comment #5 From 2007-05-31 16:08:29 -------
Судя по WONTFIX, вы этого патча писать не будете. ОК, тогда нужно договориться
о
том, какой патч вы готовы принять в libexo. (Текущее поведение, повторюсь, меня
никак не устраивает.)
Я готов спортировать мозг из pmount, который включает utf8, если у пользователя
юникодная локаль и кодировка не указана жёстко через опцию -c. Пойдёт?
------- Comment #6 From 2007-05-31 16:28:51 -------
Да, моя загрузка сейчас мне не позволяет заняться написанием данного патча.
Идеальный патч:
1) Реагирует на полиси hal и если там сказно utf8, значит поведение такое же,
как сейчас
2) Реагирует на переменную окружения, чтобы пользователь мог изменить локаль не
обращаясь к администратору
3) Должен быть написан без ошибок и с минимальным вмешательством в работу
libexo, чтобы его можно было продвигать в апстрим

Я готов принять при выполнении первого пункта, но если разберетесь со всех
кухней - не останавливайтесь и выполните все три:)
------- Comment #7 From 2007-06-17 16:01:46 -------
С первым пунктом беда, однако. HAL policy уже давно deprecated. Вот и Бенедикт
пишет, что его не стоит поддерживать:
http://bugzilla.xfce.org/show_bug.cgi?id=2891#c4

То есть если у нас будет (для совместимости с чем-нибудь) поддержка policy, то
патч не примут в libexo.
------- Comment #8 From 2007-06-17 16:42:01 -------
Этот детский сад на f.d.o, честно говоря, задрал.
Ладно, тогда условие для патча будет таким:

Я живу в utf8 и пишу диски исключительно под Линуксом и патч не должен привести
к тому, что я потеряю доступ к своей коллекции фильмов, т.е. поведение по
умолчанию должно соотвествовать текущему.
------- Comment #9 From 2007-06-19 18:09:57 -------
Поведение по умолчанию *не* будет соответствовать текущему, так как текущее
сломано (я не вижу свою флэшку и свои CD-ROMы с русскими буквами).

Вариант патча прикладываю.
------- Comment #10 From 2007-06-19 18:12:54 -------
Created an attachment (id=2029) [details]
patch for exo-mount to use the 'iocharset' mount option

Ставит iocharset=$EXO_MOUNT_IOCHARSET, если оно есть.
Если нету, то ставит iocharset=utf8 в юникодной локали (как pmount).
------- Comment #11 From 2007-06-19 19:09:55 -------
Поведение соотвествует текущему у МЕНЯ. Т.е. я как видел русские буквы, так и
продолжаю их видеть. Значит патч пропускаю, если ни у кого не возникнет с ним
проблем - закроем багу.
------- Comment #12 From 2007-10-04 15:02:51 -------
Насколько я понимаю, ни у кого ничего не сломалось (или просто
никто не пользуется Xfce). libexo с этим патчем уже втянулась в 
Desktop Lite. В общем, закрываю.